# Function getForm

- getForm(
  table: object,
  viewname: string,
  columns?: object[],
  layout0: object,
  id: boolean | null,
  req: object,
  isRemote: boolean,
  ): Promise<Form>

  #### Parameters

  - table: object
  - viewname: string
  - `Optional` columns: object[]
  - layout0: object
  - id: boolean | null
  - req: object
  - isRemote: boolean

  #### Returns Promise<Form>

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:1945